<link rel="stylesheet" type="text/css" href="{$oPlugin->cAdminmenuPfadURL}/css/style.css" media="screen" />

{literal}
    <script type="text/javascript">
        $(function () {
            $('#accordion').accordion({
                header: '> div > div.header',
                heightStyle: 'content',
                collapsible: true,
                active: false
            }).sortable({
                axis: 'y',
                handle: 'div.header',
                tolerance: 'pointer',
                stop: function (event, ui) {
                    ui.item.children('div.header').triggerHandler('focusout');
                    $(this).accordion('refresh');
                },
                update: function (event, ui) {
                    $.get('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_kundengruppe.ajax.php?action=sort', $(this).sortable('serialize'));
                }
            });

            $('.group input[name=speichern]').click(function () {
                var elem = $(this).parents('.group');
                $.getJSON('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_kundengruppe.ajax.php?action=save', $(this).parents('.content').find('select, input, textarea').serialize(), function (data) {
                    var aktiv = parseInt(data.kundengruppen_aktiv) > 0;
                    elem.find('.kundengruppen_aktiv > img')
                            .attr('alt', (aktiv ? 'Ja' : 'Nein'))
                            .attr('title', 'Kundengruppe: ' + (aktiv ? '' : 'in') + 'aktiv')
                            .attr('src', '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}img/' + (aktiv ? '' : 'in') + 'aktiv.png');
                    var freischaltung = parseInt(data.kundengruppen_freischaltung) > 0;
                    elem.find('.kundengruppen_freischaltung > img')
                            .attr('alt', (freischaltung ? 'Ja' : 'Nein'))
                            .attr('title', 'Freischaltung: ' + (freischaltung ? '' : 'in') + 'aktiv')
                            .attr('src', '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}img/' + (freischaltung ? '' : 'in') + 'aktiv.png');
                    elem.find('input[name="kundengruppen_id"]').val(data.kundengruppen_id);
                    if (elem.find('.fields_info').length > 0)
                    {
                        elem.find('table.fields').show();
                        elem.find('.fields_info').remove();
                    }
                    alert('Gespeichert!');
                });
            });

            $(document).on('click', '.group .icon.loeschen', function () {
                var elem = $(this).parents('tr');
                if (confirm('Wirklich lschen?')) {
                    $.get('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_feld.ajax.php?action=delete', {kId: elem.data('id')}, function (data) {
                        if (data == 1)
                        {
                            elem.remove();
                        }
                    });
                }
            });

            $(document).on('click', '.group .icon.hinzufuegen, .group .icon.bearbeiten', function () {
                var elem;
                if ($(this).hasClass('bearbeiten') && $(this).parents('tr').data('id'))
                {
                    elem = $(this).parents('tr');
                    $.getJSON('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_feld.ajax.php?action=get', {kId: elem.data('id')}, function (data) {
                        $('#edit_field').find('#felder_id').val(data.felder_id);
                        $('#edit_field').find('#felder_kundengruppen_id').val(data.felder_kundengruppen_id);
                        $('#edit_field').find('#felder_name').val(data.felder_name);
                        $('#edit_field').find('#felder_selektor').val(data.felder_selektor);
                        $('#edit_field').find('#felder_eingeblendet').val(data.felder_eingeblendet);
                        $('#edit_field').find('#felder_standardwert').val(data.felder_standardwert);
                    });
                }
                else
                {
                    elem = $(this).parents('table').find('tbody');
                    $('#edit_field').find('#felder_kundengruppen_id').val($(this).parents('.group').find('input[name=kundengruppen_id]').val());
                }

                $('#edit_field').dialog({
                    modal: true,
                    resizable: false,
                    width: 500,
                    buttons: {
                        'Speichern': function () {
                            $.getJSON('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_feld.ajax.php?action=save', $('#edit_field').find('select, input, textarea').serialize(), function (data) {
                                if (!elem.data('id'))
                                {
                                    var tmp = $('<tr/>').data('id', data.felder_id);
                                    tmp.append('<td class="felder_name" />');
                                    tmp.append('<td class="felder_selektor" />');
                                    tmp.append('<td class="felder_eingeblendet" />');
                                    tmp.append('<td class="felder_standardwert" />');
                                    tmp.append('<td><img class="icon bearbeiten" src="{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}img/bearbeiten.png" title="Bearbeiten" alt="Bearbeiten" /> <img class="icon loeschen" src="{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}img/loeschen.png" title="L&ouml;schen" alt="L&ouml;schen" /></td>');
                                    elem.append(tmp);
                                    elem = tmp;
                                }
                                elem.find('.felder_name').text(data.felder_name);
                                elem.find('.felder_selektor').text(data.felder_selektor);
                                elem.find('.felder_eingeblendet').text(data.felder_eingeblendet > 0 ? 'Ja' : 'Nein');
                                elem.find('.felder_standardwert').text(data.felder_standardwert);
                                alert('Gespeichert');
                            });
                            $(this).dialog('close');
                        },
                        'Abbrechen': function () {
                            $(this).dialog('close');
                        }
                    },
                    close: function () {
                        $('#edit_field input, #edit_field textarea, #edit_field select').val('');
                    }
                });
            });


            var availableTags = $('#felder_selektor_list').find('option').map(function () {
                return this.value;
            }).get();
            $('#felder_selektor').autocomplete({source: availableTags});

            $('.group input[name=reset]').click(function () {
                if (confirm('Kundengruppe wirklich zurcksetzen? Einstellungen und Felder werden gelscht!'))
                {
                    $.get('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_kundengruppe.ajax.php?action=reset', {kId: $(this).parents('.group').find('input[name=kundengruppen_id]').val()}, function () {
                        location.reload();
                    });
                }
            });

        });



    </script>
{/literal}

<p style="margin: 10px 0;">
    Hier werden alle verfgbaren Kundengruppen aufgelistet. Aktive Kundengruppen werden im Registrierungsformular angezeigt und knnen vom Kunden ausgewhlt werden. Freischaltung gibt an, ob der Kunde vom Shopbetreiber freigeschaltet werden muss. Die Reihenfolge der Gruppen kann per Drag &amp; Drop verndert werden.
</p>


<div id="accordion">
    {foreach from=$oKundengruppe_arr item=oKundengruppe}
        <div class="group" id="nSort_{$oKundengruppe->kundengruppe}">
            <div class="header">
                {$oKundengruppe->name}
                <span class="kundengruppen_freischaltung">Freischaltung:  <img src="{$oPlugin->cAdminmenuPfadURL}img/{if $oKundengruppe->freischaltung < 1}in{/if}aktiv.png" title="Freischaltung: {if $oKundengruppe->freischaltung < 1}in{/if}aktiv" alt="{if $oKundengruppe->freischaltung < 1}Nein{else}Ja{/if}" /></span>
                <span class="kundengruppen_aktiv">Aktiv: <img src="{$oPlugin->cAdminmenuPfadURL}img/{if $oKundengruppe->aktiv < 1}in{/if}aktiv.png" title="Kundengruppe: {if $oKundengruppe->aktiv < 1}in{/if}aktiv" alt="{if $oKundengruppe->aktiv < 1}Nein{else}Ja{/if}" /></span>
            </div>
            <div class="content">
                <input type="hidden" name="kundengruppen_kundengruppe" value="{$oKundengruppe->kundengruppe}" />
                <input type="hidden" name="kundengruppen_id" value="{$oKundengruppe->id}" />

                <div class="item">
                    <div class="name">
                        <label for="kundengruppen_aktiv_{$oKundengruppe->kundengruppe}">Kundengruppe aktivieren/anzeigen</label>
                    </div>
                    <div class="for">
                        <select id="kundengruppen_aktiv_{$oKundengruppe->kundengruppe}" name="kundengruppen_aktiv">
                            <option {if $oKundengruppe->aktiv > 0}selected{/if} value="1">Ja</option>
                            <option {if $oKundengruppe->aktiv < 1}selected{/if} value="0">Nein</option>
                        </select>
                    </div>
                </div>

                <div class="item">
                    <div class="name">
                        <label for="kundengruppen_freischaltung_{$oKundengruppe->kundengruppe}">Anmeldung besttigen</label>
                    </div>
                    <div class="for">
                        <select id="kundengruppen_freischaltung_{$oKundengruppe->kundengruppe}" name="kundengruppen_freischaltung">
                            <option {if $oKundengruppe->freischaltung > 0}selected{/if} value="1">Ja</option>
                            <option {if $oKundengruppe->freischaltung < 1}selected{/if} value="0">Nein</option>
                        </select>
                    </div>
                </div>

                <div class="item">
                    <div class="name">
                        <label for="kundengruppen_beschreibung_{$oKundengruppe->kundengruppe}">Beschreibung</label>
                    </div>
                    <div class="for">
                        <textarea id="kundengruppen_beschreibung_{$oKundengruppe->kundengruppe}" name="kundengruppen_beschreibung">{$oKundengruppe->beschreibung}</textarea>
                    </div>
                </div>

                <div class="save_wrapper">
                    <input name="speichern" type="button" value="Speichern" class="button orange">
                    <input name="reset" type="button" value="Kundengruppe zur&uuml;cksetzen" class="button red">
                </div>

                <div class="category">Felder</div>
                {if $oKundengruppe->id < 1}
                    <p class="fields_info">Nach dem erstmaligen Klick auf Speichern knnen Sie Felder anlegen und bearbeiten.</p>
                {/if}
                <table class="fields" {if $oKundengruppe->id < 1}style="display: none;"{/if}>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Selektor</th>
                            <th>Eingeblendet</th>
                            <th>Standardwert</th>
                            <th>Aktionen</th>
                        </tr>
                    </thead>
                    <tbody>
                        {foreach from=$oKundengruppe->getFields() item=oFeld}
                            <tr data-id="{$oFeld->id}">
                                <td class="felder_name">{$oFeld->name}</td>
                                <td class="felder_selektor">{$oFeld->selektor}</td>
                                <td class="felder_eingeblendet">{if $oFeld->eingeblendet > 0}Ja{else}Nein{/if}</td>
                                <td class="felder_standardwert">{$oFeld->standardwert}</td>
                                <td>
                                    <img class="icon bearbeiten" src="{$oPlugin->cAdminmenuPfadURL}img/bearbeiten.png" title="Bearbeiten" alt="Bearbeiten" />
                                    <img class="icon loeschen" src="{$oPlugin->cAdminmenuPfadURL}img/loeschen.png" title="L&ouml;schen" alt="L&ouml;schen" />
                                </td>
                            </tr>
                        {/foreach}
                    </tbody>
                    <tfoot>
                        <tr>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td><img class="icon hinzufuegen" src="{$oPlugin->cAdminmenuPfadURL}img/hinzufuegen.png" title="Hinzuf&uuml;gen" alt="Hinzuf&uuml;gen" /></td>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div> 
    {/foreach}
</div>

<div id="edit_field" title="Feld bearbeiten" style="display: none;">
    <input id="felder_id" name="felder_id" type="hidden" />
    <input id="felder_kundengruppen_id" name="felder_kundengruppen_id" type="hidden" />
    <div class="item">
        <div class="name">
            <label for="felder_name">Name</label>
        </div>
        <div class="for">
            <input id="felder_name" name="felder_name" type="text" />
        </div>
    </div>
    <div class="item">
        <div class="name">
            <label for="felder_selektor">Selektor</label>
        </div>
        <div class="for">
            <input id="felder_selektor" list="felder_selektor_list" name="felder_selektor" type="text">
            <datalist id="felder_selektor_list">
                <select style="display: none;">
                    {foreach from=$oSelektor_arr item=oSelektor}
                        <option value="{$oSelektor->selektoren_wert}">{$oSelektor->selektoren_name}</option>
                    {/foreach}
                </select>  
            </datalist>
            </input>
        </div>
    </div>
    <div class="item">
        <div class="name">
            <label for="felder_eingeblendet">Eingeblendet</label>
        </div>
        <div class="for">
            <select id="felder_eingeblendet" name="felder_eingeblendet">
                <option value="1">Ja</option>
                <option value="0">Nein</option>
            </select>
        </div>
    </div>
    <div class="item">
        <div class="name">
            <label for="felder_standardwert">Standardwert</label>
        </div>
        <div class="for">
            <input id="felder_standardwert" name="felder_standardwert" type="text" />
        </div>
    </div>
</div>
