{if isset($aMeldungen) && $aMeldungen|@count > 0}
    {foreach from=$aMeldungen item=cMeldung}
        <p class="alert alert-success">{$cMeldung}</p>
    {/foreach}
{/if}

<table class="freischaltung-list table">
    <tr>
        <th colspan="100%" class="tleft">Registrierungen die noch freigegeben werden mssen</th>
    </tr>
    <tr>
        <th>#</th>
        <th>Kunde</th>
        <th>Kundengruppe</th>
        <th>Registrierung am</th>
        <th>Dateien</th>
        <th>Freischaltung am</th>
    </tr>
    {foreach from=$oFreischaltung_arr item=oFreischaltung name=freischaltung}
        {if $oFreischaltung->oKunde->kKunde > 0}
            <tr class="{if $oFreischaltung->status == 0}danger{else}success{/if}">
                <td>{$smarty.foreach.freischaltung.index + 1}</td>
                <td>{$oFreischaltung->oKunde->cVorname} {$oFreischaltung->oKunde->cNachname}</td>
                <td>
                    {if $oFreischaltung->status == 0}
                        <select form="submitform_{$oFreischaltung->id}" name="updategroup">
                            {foreach from=$oKundengruppe_arr item=oKundengruppe}
                                <option value="{$oKundengruppe->id}" {if $oKundengruppe->id == $oFreischaltung->kundengruppe}selected=""{/if}>
                                    {$oKundengruppe->name}
                                </option>
                            {/foreach}
                        </select>
                    {else}
                        {foreach from=$oKundengruppe_arr item=oKundengruppe}
                            {if $oKundengruppe->id == $oFreischaltung->kundengruppe}
                                {$oKundengruppe->name}
                            {/if}
                        {/foreach}
                    {/if}
                </td>
                <td>{$oFreischaltung->registrierung}</td>
                <td>
                    {foreach from=$oFreischaltung->oDatei_arr item=oDatei name=Datei}
                        <a class="btn btn-sm btn-default" target="_blank" href="{$URL_SHOP}/{$smarty.const.JST_KR_FILEUPLOAD}{$oDatei->cDatei}">Datei #{$smarty.foreach.Datei.iteration}</a>
                    {/foreach}
                </td>
                <td>
                    {if $oFreischaltung->status == 0}
                        <form id="submitform_{$oFreischaltung->id}" method="POST" autocomplete="off" action="?kPlugin={$oPlugin->kPlugin}&aktion=freischaltung">
                            <input type="hidden" name="id" value="{$oFreischaltung->id}">
                            <input type="hidden" name="cPluginTab" value="Freischaltung">
                            <input type="submit" class="submit btn btn-primary" value="Freischalten">
                        </form>
                    {else}
                        {$oFreischaltung->freigeschaltet}
                    {/if}
                </td>
            </tr>
        {/if}
    {/foreach}
</table>
<script>
    {literal}
    $('select[name=updategroup]').change(function(event) {
        var id = $(event.target.form).children('input[name=id]').get(0).value;
        var group = event.target.value;
        $.ajax({
            type: 'POST',
            datatype: 'html',
            data: {'kunden_id' : id, 'kunden_gruppe' : group},
            url: '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}/ajax/jst_kundengruppe.ajax.php?action=update',
            success: function(data){
                if(data == 0) {
                    alert('Datenbankfehler');
                }
            },
            error: function(data){
            }
        });
    });
    {/literal}
</script>