{literal}
    <style type="text/css">
        .freischaltung-list tr.green td,
        .freischaltung-list tr.red td {
            color: #fff;
        }

        .freischaltung-list tr.red td {
            background-color: #c0392b;
        }

        .freischaltung-list tr.green td {
            background-color: #27ae60;
        }
    </style>
{/literal}

{if isset($aMeldungen) && $aMeldungen|@count > 0}
    {foreach from=$aMeldungen item=cMeldung}
        <p class="box_success">{$cMeldung}</p>
    {/foreach}
{/if}

<table class="freischaltung-list">
    <tr>
        <th colspan="100%" class="tleft">Registrierungen die noch freigegeben werden mssen</th>
    </tr>
    <tr>
        <th>#</th>
        <th>Kunde</th>
        <th>Kundengruppe</th>
        <th>Registrierung am</th>
        <th>Dateien</th>
        <th>Freischaltung am</th>
    </tr>
    {foreach from=$oFreischaltung_arr item=oFreischaltung name=freischaltung}
        {if $oFreischaltung->oKunde->kKunde > 0}
            <tr class="{if $oFreischaltung->status == 0}red{else}green{/if}">
                <td>{$smarty.foreach.freischaltung.index}</td>
                <td>{$oFreischaltung->oKunde->cVorname} {$oFreischaltung->oKunde->cNachname}</td>
                <td>{$oFreischaltung->oKundengruppe->getName()}</td>
                <td>{$oFreischaltung->registrierung}</td>
                <td>
                    {foreach from=$oFreischaltung->oDatei_arr item=oDatei name=Datei}
                        <a class="button" target="_blank" href="{$URL_SHOP}/{$smarty.const.JST_KR_FILEUPLOAD}{$oDatei->cDatei}">Datei #{$smarty.foreach.Datei.iteration}</a>
                    {/foreach}
                </td>
                <td>
                    {if $oFreischaltung->status == 0}
                        <form method="POST" action="?kPlugin={$oPlugin->kPlugin}&aktion=freischaltung">
                            <input type="hidden" name="id" value="{$oFreischaltung->id}">
                            <input type="hidden" name="cPluginTab" value="Freischaltung">
                            <input type="submit" class="submit orange button" value="Freischalten">
                        </form>
                    {else}
                        {$oFreischaltung->freigeschaltet}
                    {/if}
                </td>
            </tr>
        {/if}
    {/foreach}
</table>
