{if isset($aMeldungen) && $aMeldungen|@count > 0}
    {foreach from=$aMeldungen item=cMeldung}
        <p class="alert alert-success">{$cMeldung}</p>
    {/foreach}
{/if}

<div class="clearfix">
    <p class="fetched-info-star-explanation"><sup class="text-primary fetched-info-star"><i class="fa fa-asterisk"></i></sup>&nbsp;:&nbsp;Der Kunde wurde bereits von der WaWi abgeholt und kann nun nur noch dort ge&auml;ndert werden</p>
    <p>Auf den Namen eines Kunden klicken, um mehr Informationen anzuzeigen</p>
</div>

<table class="freischaltung-list table">
    <tr>
        <th colspan="100%" class="tleft">Registrierungen die noch freigegeben werden m&uuml;ssen</th>
    </tr>
    <tr>
        <th>#</th>
        <th>Kunde</th>
        <th>Kundengruppe</th>
        <th>Registrierung am</th>
        <th>Dateien</th>
        <th>Freischaltung am</th>
    </tr>
    {foreach from=$oFreischaltung_arr item=oFreischaltung name=freischaltung}
        {if isset($oFreischaltung->oKunde->kKunde) && $oFreischaltung->oKunde->kKunde > 0}
            <tr class="{if $oFreischaltung->status == 0}danger{elseif $oFreischaltung->status == 1}success{elseif $oFreischaltung->status == 2}info{else}warning{/if}">
                <td>{$oFreischaltung->id}</td>
                <td class="namecolumn">{$oFreischaltung->oKunde->cVorname} {$oFreischaltung->oKunde->cNachname}</td>
                <td>
                    {if $oFreischaltung->status == 0 && $oFreischaltung->oKunde->cAbgeholt == 'N'}
                        <select form="submitform_{$oFreischaltung->id}" name="updategroup">
                            {foreach from=$oKundengruppe_arr item=oKundengruppe}
                                <option value="{$oKundengruppe->id}" {if $oKundengruppe->id == $oFreischaltung->kundengruppe}selected=""{/if}>
                                    {$oKundengruppe->name}
                                </option>
                            {/foreach}
                        </select>
                    {else}
                        {foreach from=$oKundengruppe_arr item=oKundengruppe}
                            {if $oKundengruppe->id == $oFreischaltung->kundengruppe}
                                {$oKundengruppe->name}
                                {if $oFreischaltung->oKunde->cAbgeholt == 'Y'}
                                    <sup class="text-primary fetched-info-star"><i class="fa fa-asterisk"></i></sup>
                                {/if}
                            {/if}
                        {/foreach}
                    {/if}
                </td>
                <td>{$oFreischaltung->registrierung}</td>
                <td>
                    {foreach from=$oFreischaltung->oDatei_arr item=oDatei name=Datei}
                        <a class="btn btn-sm btn-default" target="_blank" href="{$URL_SHOP}/{$JST_KR_FILEUPLOAD}{$oDatei->cDatei}">Datei #{$smarty.foreach.Datei.iteration}</a>
                    {/foreach}
                </td>
                <td>
                    {if $oFreischaltung->status == 0}
                        <form id="submitform_{$oFreischaltung->id}" method="POST" autocomplete="off" action="?kPlugin={$oPlugin->kPlugin}&aktion=freischaltung">
                            <input type="hidden" name="id" value="{$oFreischaltung->id}">
                            <input type="hidden" name="cPluginTab" value="Freischaltung">
                            <input type="submit" class="submit btn btn-primary" value="Freischalten">
                        </form>
                    {elseif $oFreischaltung->status == 1}
                        {$oFreischaltung->freigeschaltet}
                        <form class="jst_submit_blockform" id="submitform_{$oFreischaltung->id}" method="POST" autocomplete="off" action="?kPlugin={$oPlugin->kPlugin}&aktion=blockieren">
                            <input type="hidden" name="id" value="{$oFreischaltung->id}">
                            <input type="hidden" name="cPluginTab" value="Freischaltung">
                            <input type="hidden" name="reason" value="">
                            <input type="submit" class="blockbutton submit btn btn-danger" value="Blockieren">
                        </form>
                    {/if}
                </td>
                <td class="hiddenKNum">{$oFreischaltung->oKunde->kKunde}</td>
            </tr>
        {/if}
    {/foreach}
</table>

<div class="modal" id="infoModal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Modal Heading</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                
            </div>
        </div>
    </div>
</div>

<script>
    {literal}
    $('select[name=updategroup]').change(function(event) {
        var id = $(event.target.form).children('input[name=id]').get(0).value;
        var group = event.target.value;
        $.ajax({
            type: 'POST',
            datatype: 'html',
            data: {'kunden_id' : id, 'kunden_gruppe' : group},
            url: '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}/ajax/jst_kundengruppe.ajax.php?action=update',
            success: function(data){
                if(data == 0) {
                    alert('Datenbankfehler');
                }
            },
            error: function(data){
            }
        });
    });
    
    $('.blockbutton').on('click', function(event) {
        var ret = prompt('Bitte einen Grund zum Blockieren angeben', '');
        if(ret == null || ret == '') {
           event.stopPropagation();
           return false;
        }
        $('input[name=reason]', $(this).parent()).val(ret);
        return true;
    });
    
    $('.namecolumn').on('click', function(event) {
        let tis = $(this);
        let id = tis.parent().children('.hiddenKNum').text();
        let modal = $('#infoModal');
        $.post(
            '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}/ajax/jst_freischaltung.ajax.php',
            {kunden_id : id, action: 'getMail'},
            function(data, status) {
                if(status == 'success') {
                    $('.modal-title', modal).html(tis.html());
                    $('.modal-body', modal).html('E-Mail: ' + data);
                    modal.modal('show');
                }
            }
        );
    });
    {/literal}
</script>