<div id="kundengruppensprachen">
    {foreach from=$oKundengruppe_arr item=kundengruppe}
        <form>
            <div class="form-group">
                <p class="h4 mb-4">{$kundengruppe->name}</p>
            </div>
            <div class="form-group">
                {foreach from=$sprachen item=sprache}
                    <div class="row lang-row" data-lang-id="{$sprache->kSprache}" data-group-id="{$kundengruppe->kundengruppe}">
                        <div class="col-md-4">
                            <div class="input-group">
                                <input type="text" class="form-control" value="{$sprache->cNameDeutsch}" readonly>
                                <span class="input-group-addon">=</span>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <input type="text" class="form-control translation" placeholder="bersetzung eingeben..."
                                {foreach from=$translations item=translation}
                                    {if $translation->kKundengruppe == $kundengruppe->kundengruppe && $translation->kSprache == $sprache->kSprache}
                                        value="{$translation->cName}"
                                    {/if}
                                {/foreach}
                            />
                        </div>
                    </div>
                {/foreach}
            </div>
            <div class="form-group">
                <button type="submit" class="btn btn-primary submit-btn">Speichern</button>
            </div>
        </form>
        {if !$kundengruppe@last}<hr>{/if}
    {/foreach}
</div>

<script>
    {literal}
    $(function() {
        $('button.submit-btn').on('click', function() {
            let btn = $(this);
            let form = btn.closest('form');
            
            let langs = [];
            
            $('div.lang-row', form).each(function(index, element) {
                let language = $(element).data('lang-id');
                let kGroup = $(element).data('group-id');
                let translation = $('input.translation', element).val();
                
                if(!translation) {
                    return true;
                }
                
                console.log(kGroup + '(' + language + ') = ' + translation);
                langs.push({
                    kKundengruppe: kGroup,
                    kSprache: language,
                    cName: translation
                });
            });
            
            if(langs.length) {
                $.ajax({
                type: 'POST',
                datatype: 'json',
                data: {
                    translations: langs,
                },
                url: '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}/ajax/jst_kundengruppe_sprache.ajax.php',
                success: function(data) {
                    btn.css('background-color', 'green').css('border', '1px solid darkgreen').html('Gespeichert!');
                    setTimeout(function() {
                        btn.css('background-color', '').css('border', '').html('Speichern');
                    }, 3000);
                },
                error: function(data) {
                    console.log(data);
                }
            });
            }
            
            return false;
        });
    });
    {/literal}
</script>