<fieldset id="jst_kundenregistrierung_fileupload" class="">
    <legend>{$Sprachvariable_arr.jst_kundenregistrierung_fileupload_title}</legend>
    <div class="row">
        <div class="col-xs-12 col-md-12">
            <label for="jst_kr_fileupload[0]" class="control-label">{$UploadText}</label>
        </div>
        <div class="col-xs-12 col-md-6">
            <div class="form-group float-label-control{if $optional == 0} required{/if}{if isset($fehlendeAngaben) && isset($fehlendeAngaben['file'])} has-error{/if}">
                <input id="fileupload_register" class="form-control" type="file" name="file[]" {if $optional == 0}required{/if} multiple>
                
                {if isset($fehlendeAngaben) && isset($fehlendeAngaben['file'])}
                    {foreach from=$fehlendeAngaben['file'] item=file}
                        {if $file == $smarty.const.UPLOAD_ERR_NO_FILE}
                            <div class="alert alert-danger">{lang key="fillOut" section="global"}</div>
                        {elseif $file == $smarty.const.UPLOAD_ERR_FORM_SIZE}
                            <div class="alert alert-danger">{$Sprachvariable_arr.jst_kundenregistrierung_fileupload_error_size}</div>
                        {elseif $file == $UPLOAD_ERR_TYPE}
                            <div class="alert alert-danger">{$Sprachvariable_arr.jst_kundenregistrierung_fileupload_error_type}</div>
                        {/if}
                    {/foreach}
                {/if}
            </div>
        </div>
        <div class="col-xs-12 col-md-12">
            <div class="form-group">
                <b>{$Sprachvariable_arr.jst_kundenregistrierung_fileupload_filetype}</b>
                <div>{$Sprachvariable_arr.jst_kundenregistrierung_fileupload_filesize}</div>
                <div>{$Sprachvariable_arr.jst_kundenregistrierung_hinweis_dateianzahl}{$AnzahlDateien}</div>
            </div>
        </div>
    </div>
</fieldset>

<script>
    {literal}
    $(document).ready(function() {
        $('#fileupload_register').parents('form:first').submit(function (event) {
            var fileUpload = $('#fileupload_register').get(0);
            var arr = {/literal}{$Datentypen|@json_encode}{literal};
            var err = "";
            $.each(fileUpload.files, function(fileindex, filevalue){
                var allowed = false;
                $.each(arr, function(typindex, typvalue) {
                    if(filevalue.name.split('.').pop().toLowerCase() == typvalue.toLowerCase()) {
                        allowed = true;
                        return false;
                    }
                });
                if(!allowed) {
                    err += {/literal}'{$Sprachvariable_arr.jst_kundenregistrierung_fileupload_error_type}\n'{literal};
                    return false;
                }
            });
            
            if (parseInt(fileUpload.files.length) > {/literal}{$AnzahlFelder}{literal}) {
                err += {/literal}'{$Sprachvariable_arr.jst_kundenregistrierung_hinweis_dateizuviel}\n'{literal};
            }
            
            if(err != "") {
                alert(err);
                return false;
            }
        });
    });
    {/literal}
</script>
