{literal}
    <style type="text/css">
        ul li {
            line-height: 2.5em;
        }

        fieldset {
            margin-bottom: 3em;
        }

        ul.list li h1 {
            display: block;
            height: 20px;
            width: 100%;
        }

        ul.list li {
            float: left;
            margin-right: 10px;
        }

        ul.list li:last-child {
            float: none;
        }

        ul.selektor-list {
            display: none;
            background: white;
            padding: 10px;
            border: 5px solid rgb(209, 111, 0);
            position: absolute;
            margin-top: -5px;
            z-index: 99998;
        }

        ul.selektor-list li {
            float: none;
        }

        ul.list .tipp-btn {
            z-index: 99999;
        }

        ul.list ul.selektor-list:hover {
            display: block;
        }

        ul.list .tipp-btn:hover ~ .selektor-list {
            display: block;
        }

        .button-li {
            border-radius: 3px;
            -moz-border-radius: 3px;
            -webkit-border-radius: 3px;
            -khtml-border-radius: 3px;

            color: rgb(255, 255, 255);
            font-weight: bold;
            padding: 0 10px;
            height: 28px;
            line-height: 26px;
            border: 1px solid rgb(209, 111, 0);
            text-shadow: 1px 1px 0 rgb(172, 100, 17);
            background: rgb(242, 130, 3) url('../gfx/layout/button_search_bg.png') repeat-x
            center;
            margin-bottom: 5px;
            cursor: pointer;
        }
    </style>

    <script type="text/javascript">
        $(document).ready(function() {
            $("ul.selektor-list li").click(function() {
                var elem = $(this);
                console.log(elem.attr("data-name") + "=" + elem.attr("data-wert"));
                if(elem.attr("data-name") && elem.attr("data-wert")) {
                    elem.parent().parent().parent("ul").children("li").children("input[name='felder_selektor']").val(elem.attr("data-wert"));
                    elem.parent().parent().parent("ul").children("li").children("input[name='felder_name']").val(elem.attr("data-name"));
                }
            });
        });
    </script>
{/literal}

{foreach from=$Meldungen item=Meldung}
    {if $Meldung.typ == "super"}
        <p class="box_success">{$Meldung.meldung}</p>
    {elseif $Meldung.typ == "fehler"}
        <p class="box_error">{$Meldung.meldung}</p>
    {/if}
{/foreach}

<fieldset>
    <legend>Kundengruppen zum Bearbeiten anlegen</legend>
    <form method="POST" action="?kPlugin={$oPlugin->kPlugin}&aktion=kundengruppe_anlegen">
        <ul>
            <li>
                <label>Bitte whlen Sie eine Kundengruppe die Sie zum Registrierungsformular hinzufgen mchten</label>
            </li>
            <li>
                <select name="Kundengruppe">
                    <option>Bitte whlen Sie eine Kundengruppe</option>
                    <optgroup label="Verfgbare Kundengruppen">
                        {if $Kundengruppen}
                            {foreach from=$Kundengruppen item=Kundengruppe}
                                <option value="{$Kundengruppe->kKundengruppe}">{$Kundengruppe->cName}</option>
                            {/foreach}
                        {else}
                            <option>Im Shop wurden keine Kundengruppen gefunden!</option>
                        {/if}
                    </optgroup>
                </select>
            </li>
            <li>
                <label>Bitte fgen Sie einen Informationstext zu dieser Kundengruppe hinzu, diese erscheint im Registerformular</label>
            </li>
            <li>
                <input type="text" name="Information" placeholder="Ihre Informationen zu dieser Kundengruppe..">
            </li>
            <li>
                <input type="submit" class="orange submit" value="Kundengruppe zur Registrierung hinzufgen">
            </li>
        </ul>
    </form>

    <div class="stammdaten">
        <h3>Vorhandene Kundengruppen</h3>
        <div>

        </div>
    </div>
</fieldset>

<fieldset>
    <legend>Kundengruppen Einstellung</legend>
    <ul>
        <li>
            <label>
                Bitte whlen Sie eine Registrierungsgruppe
            </label>
        </li>
        <li>
            <form method="POST" method="?kPlugin={$oPlugin->kPlugin}&aktion=registerungsgruppe_anpassen">
                <select name="Kundengruppe" onchange="return this.form.submit();">
                    <option value="">Bitte whlen Sie eine Registrierungsgruppe</option>
                    <optgroup label="Verfgbare Kundengruppen">
                    {if $Registrierungsgruppen}
                        {foreach from=$Registrierungsgruppen item=Registrierungsgruppe}
                            <option value="{$Registrierungsgruppe->kKundengruppe}" {if $smarty.post.Kundengruppe == $Registrierungsgruppe->kKundengruppe}selected="selected"{/if}>
                                {$Registrierungsgruppe->cName}
                            </option>
                        {/foreach}
                    {else}
                        <option>Bitte legen Sie zuvor eine Registrierungsgruppe zum Anpassen an!</option>
                    {/if}
                    </optgroup>
                </select>
            </form>
                <h4>Felder anpassen</h4>
                <ul>
                    {if $smarty.post.Kundengruppe}
                        <li>
                            <a href="?kPlugin={$oPlugin->kPlugin}&aktion=registergruppe_entfernen&id={$smarty.post.Kundengruppe}">Kundengruppe aus der Registrierungsformular-Auswahl entfernen</a>
                        </li>
                        {if $Registerfelder}
                            {foreach from=$Registerfelder item=Feld}
                                <li>
                                    <form method="POST" action="?kPlugin={$oPlugin->kPlugin}&aktion=registergruppe_felder_bearbeiten">
                                        <ul class="list">
                                            <li>
                                                <label>Name</label>
                                            </li>
                                            <li>
                                                <input type="text" name="felder_name" value="{$Feld->felder_name}">
                                            </li>
                                            <li>
                                                <label>Selektor</label>
                                                {holeListe liste="selektoren"}
                                            </li>
                                            <li>
                                                <input type="text" name="felder_selektor" value="{$Feld->felder_selektor}">
                                            </li>
                                            <li>
                                                <label>Standardwert</label>
                                            </li>
                                            <li>
                                                <input type="text" name="felder_standardwert" value="{$Feld->felder_standardwert}">
                                            </li>
                                            <li>
                                                <label>Eingeblendet</label>
                                            </li>
                                            <li>
                                                <input type="checkbox" name="felder_eingeblendet" {if $Feld->felder_eingeblendet == 1}checked="checked" {/if}>
                                            </li>
                                            <li>
                                                <input type="hidden" name="felder_id" value="{$Feld->felder_id}">
                                                <input type="submit" value="Speichern" class="orange submit">
                                            </li>
                                        </ul>
                                    </form>
                                    <form method="POST" action="?kPlugin={$oPlugin->kPlugin}&aktion=registergruppe_felder_loeschen">
                                        <ul class="list">
                                            <li>
                                                <input type="hidden" name="felder_id" value="{$Feld->felder_id}">
                                                <input type="submit" class="orange submit" value="Feld lschen">
                                            </li>
                                        </ul>
                                    </form>
                                </li>
                            {/foreach}
                        {else}
                            <li class="box_error">Noch kein Feld angelegt, bitte nutzen Sie das Formular unter "Neue Felder anlegen"</li>
                        {/if}

                        <li><hr/></li>
                        <li>
                            <form method="POST" action="?kPlugin={$oPlugin->kPlugin}&aktion=registergruppe_felder_anlegen">
                                <h4>Neue Felder anlegen</h4>
                                <ul class="list">
                                    <li>
                                        <label>Name</label>
                                    </li>
                                    <li>
                                        <input type="text" name="felder_name" value="{Eingabe name="felder_name"}">
                                    </li>
                                    <li>
                                        <label>Selektor</label>

                                        {holeListe liste="selektoren"}
                                    </li>
                                    <li>
                                        <input type="text" name="felder_selektor" value="{Eingabe name="felder_selektor"}">
                                    </li>
                                    <li>
                                        <label>Standardwert</label>
                                    </li>
                                    <li>
                                        <input type="text" name="felder_standardwert" value="{Eingabe name="felder_selektor"}">
                                    </li>
                                    <li>
                                        <label>Eingeblendet</label>
                                    </li>
                                    <li>
                                        <input type="checkbox" name="felder_eingeblendet" value="1">
                                    </li>
                                    <li>
                                        <input type="hidden" name="felder_kundengruppen_id" value="{$Gruppenid}">
                                        <input type="submit" value="Anlegen" class="orange submit">
                                    </li>
                                </ul>
                            </form>
                       </li>
                    {/if}
                </ul>
            </form>
        </li>

        {if $Ausgewaehlt}

        {/if}
    </ul>
</fieldset>