{literal}
    <style type="text/css">
        ul li {
            line-height: 2.5em;
        }

        fieldset {
            margin-bottom: 1em;
        }

        ul.list li h1 {
            display: block;
            height: 20px;
            width: 100%;
        }

        ul.list li {
            float: left;
            margin-right: 10px;
        }

        ul.list li:last-child {
            float: none;
        }

        ul.selektor-list {
            display: none;
            background: white;
            padding: 10px;
            border: 5px solid rgb(66, 166, 226);
            position: absolute;
            margin-top: -5px;
            z-index: 99998;
        }

        ul.selektor-list li {
            float: none;
        }

        ul.selektor-list .button-li {
            display: block;
        }

        ul.list .tipp-btn {
            z-index: 99999;
        }

        ul.list ul.selektor-list:hover {
            display: block;
        }

        ul.list .tipp-btn:hover ~ .selektor-list {
            display: block;
        }

        .button-li {
            border-radius: 3px;
            -moz-border-radius: 3px;
            -webkit-border-radius: 3px;
            -khtml-border-radius: 3px;

            color: rgb(255, 255, 255);
            font-weight: bold;
            padding: 0 10px;
            height: 28px;
            line-height: 26px;
            border: 1px solid rgb(209, 111, 0);
            text-shadow: 1px 1px 0 rgb(172, 100, 17);
            background: rgb(242, 130, 3) url('../gfx/layout/button_search_bg.png') repeat-x center;
            margin-bottom: 5px;
            cursor: pointer;
        }

        #Registergruppenliste {
            margin-bottom: 10px;
        }

        #Registergruppenliste li:last-child {
            float: none;
        }

        #Registergruppenliste li {
            cursor: move;
            border: 1px #B0B0B0 solid;
            background-color: rgb(204, 204, 204);
            display: table;
            padding: 15px;
            margin-right: 10px;
            float: left;
        }
    </style>
    <script type="text/javascript">
        $(document).ready(function () {
            $("ul.selektor-list li").click(function () {
                var elem = $(this);
                console.log(elem.attr("data-name") + "=" + elem.attr("data-wert"));
                if (elem.attr("data-name") && elem.attr("data-wert")) {
                    elem.parent().parent().parent("ul").children("li").children("input[name='felder_selektor']").val(elem.attr("data-wert"));
                    elem.parent().parent().parent("ul").children("li").children("input[name='felder_name']").val(elem.attr("data-name"));
                }
            });

            $("#Registergruppenliste").sortable();
            $("#Registergruppenliste").disableSelection();
        });
    </script>
{/literal}

{foreach from=$Meldungen item=Meldung}
    {if $Meldung.typ == "super"}
        <p class="box_success">{$Meldung.meldung}</p>
    {elseif $Meldung.typ == "fehler"}
        <p class="box_error">{$Meldung.meldung}</p>
    {/if}
{/foreach}

<fieldset>
    <legend>Kundengruppen zum Bearbeiten anlegen</legend>

    <ul>
        <li>
            <label>Bitte whlen Sie eine Kundengruppe die Sie zum Registrierungsformular hinzufgen mchten</label>
        </li>
        <li>
            <table name="Kundengruppe">
                <tr>
                    <th colspan="100%">Bitte whlen Sie eine Kundengruppe</th>
                </tr>
                <tr>
                    <th>Kundengruppe</th>
                    <th>Information</th>
                </tr>
                {if $Kundengruppen}
                    {foreach from=$Kundengruppen item=Kundengruppe}
                        <tr>
                            <td>
                                <span>{$Kundengruppe->cName}</span>
                            </td>
                            <td>
                                <form method="POST" action="?kPlugin={$oPlugin->kPlugin}&aktion=kundengruppe_anlegen">
                                    <input type="hidden" name="kKundengruppe" value="{$Kundengruppe->kKundengruppe}">
                                    <input type="text" name="cInformation" placeholder="Ihre Informationen zu dieser Kundengruppe..">
                                    <input type="submit" class="orange button submit" value="+">
                                </form>
                            </td>
                        </tr>
                    {/foreach}
                {else}
                    <span>Im Shop wurden keine Kundengruppen gefunden!</span>
                {/if}
            </table>
        </li>
        <li>
            <label>Bitte fgen Sie einen Informationstext zu dieser Kundengruppe hinzu, diese erscheint im
                Registerformular</label>
        </li>
    </ul>
    </form>

    <div class="stammdaten">
        <h3>Vorhandene Kundengruppen</h3>

        <div>

        </div>
    </div>
</fieldset>

<hr/>

<fieldset>
    <legend>Kundengruppen Einstellung</legend>
    <ul>
        <li>
            <label>
                Bitte whlen Sie eine Registrierungsgruppe zur Anpassung der Darstellung, mithilfe von "Drag and Drop"
                lsst sich die Reihenfolge
                der Schaltflchen beeinflussen
            </label>
        </li>
        <li>
            {if $Registrierungsgruppen}
                <form method="POST" method="POST"
                      action="?kPlugin={$oPlugin->kPlugin}&aktion=registerungsgruppe_anpassen">
                    <ul name="Kundengruppe" id="Registergruppenliste">
                        {foreach from=$Registrierungsgruppen item=Registrierungsgruppe}
                            <li {if $smarty.post.Kundengruppe == $Registrierungsgruppe->kKundengruppe}class="selected"{/if}>
                                <input type="hidden" name="Kundengruppe[]"
                                       value="{$Registrierungsgruppe->kKundengruppe}">
                                <input type="submit" name="Selektion[{$Registrierungsgruppe->kKundengruppe}]"
                                       class="submit button orange" value="{$Registrierungsgruppe->cName}">
                                <p>{$Registrierungsgruppe->kundengruppen_beschreibung}</p>
                            </li>
                        {/foreach}
                    </ul>
                    <input type="submit" class="orange button submit" value="Sortierung speichern">
                </form>
            {else}
                <strong>Bitte legen Sie zuvor eine Registrierungsgruppe zum Anpassen an!</strong>
            {/if}
            <hr/>

            <h4>Felder anpassen</h4>
            <ul>
                {if $smarty.post.Kundengruppe}
                    {if $Selektionname}
                        <li>
                            <p class="box_success">Sie bearbeiten momentan die Felder fr die Kundengruppe"<strong>{$Selektionname}</strong>"</p>
                        </li>
                    {/if}
                    <li>
                        <a href="?kPlugin={$oPlugin->kPlugin}&aktion=registergruppe_entfernen&id={$smarty.post.Kundengruppe}">Kundengruppe
                            aus der Registrierungsformular-Auswahl entfernen</a>
                    </li>
                    {if $Registerfelder}
                        {foreach from=$Registerfelder item=Feld}
                            <li>
                                <form method="POST"
                                      action="?kPlugin={$oPlugin->kPlugin}&aktion=registergruppe_felder_bearbeiten">
                                    <ul class="list">
                                        <li>
                                            <label>Name</label>
                                        </li>
                                        <li>
                                            <input type="text" name="felder_name" value="{$Feld->felder_name}">
                                        </li>
                                        <li>
                                            <label>Selektor</label>
                                            {holeListe liste="selektoren"}
                                        </li>
                                        <li>
                                            <input type="text" name="felder_selektor" value="{$Feld->felder_selektor}">
                                        </li>
                                        <li>
                                            <label>Standardwert</label>
                                        </li>
                                        <li>
                                            <input type="text" name="felder_standardwert"
                                                   value="{$Feld->felder_standardwert}">
                                        </li>
                                        <li>
                                            <label>Ausgeblendet</label>
                                        </li>
                                        <li>
                                            <input type="checkbox" name="felder_eingeblendet" {if $Feld->felder_eingeblendet == 0}checked="checked" {/if}>
                                        </li>
                                        <li>
                                            <input type="hidden" name="felder_id" value="{$Feld->felder_id}">
                                            <input type="submit" value="Speichern" class="orange button submit">
                                        </li>
                                    </ul>
                                </form>
                                <form method="POST"
                                      action="?kPlugin={$oPlugin->kPlugin}&aktion=registergruppe_felder_loeschen">
                                    <ul class="list">
                                        <li>
                                            <input type="hidden" name="felder_id" value="{$Feld->felder_id}">
                                            <input type="submit" class="orange button submit" value="Feld lschen">
                                        </li>
                                    </ul>
                                </form>
                            </li>
                        {/foreach}
                    {else}
                        <li class="box_error">Noch kein Feld angelegt, bitte nutzen Sie das Formular unter "Neue Felder anlegen"</li>
                    {/if}
                    <li>
                        <hr/>
                    </li>
                    <li>
                        <form method="POST" action="?kPlugin={$oPlugin->kPlugin}&aktion=registergruppe_felder_anlegen">
                            <h4>Neue Felder anlegen</h4>
                            <ul class="list">
                                <li>
                                    <label>Name</label>
                                </li>
                                <li>
                                    <input type="text" name="felder_name" value="{Eingabe name="felder_name"}">
                                </li>
                                <li>
                                    <label>Selektor</label>
                                    {holeListe liste="selektoren"}
                                </li>
                                <li>
                                    <input type="text" name="felder_selektor" value="{Eingabe name="felder_selektor"}">
                                </li>
                                <li>
                                    <label>Standardwert</label>
                                </li>
                                <li>
                                    <input type="text" name="felder_standardwert"
                                           value="{Eingabe name="felder_selektor"}">
                                </li>
                                <li>
                                    <label>Ausgeblendet</label>
                                </li>
                                <li>
                                    <input type="checkbox" name="felder_eingeblendet" checked="checked" value="1">
                                </li>
                                <li>
                                    <input type="hidden" name="felder_kundengruppen_id" value="{$Gruppenid}">
                                    <input type="submit" value="Anlegen" class="orange button submit">
                                </li>
                            </ul>
                        </form>
                    </li>
                {/if}
            </ul>
            </form>
        </li>
    </ul>
</fieldset>