ALTER TABLE xplugin_jst_kundenregistrierung_kundengruppen ADD kundengruppen_fileuploadTextDE VARCHAR(255) NOT NULL;
ALTER TABLE xplugin_jst_kundenregistrierung_kundengruppen ADD kundengruppen_fileuploadTextEN VARCHAR(255) NOT NULL;

ALTER TABLE `xplugin_jst_kundenregistrierung_kundengruppen` CHANGE `kundengruppen_id` `kundengruppen_id` int(11) NOT NULL FIRST;
ALTER TABLE `xplugin_jst_kundenregistrierung_kundengruppen` DROP INDEX `PRIMARY`;
ALTER TABLE `xplugin_jst_kundenregistrierung_kundengruppen` ADD PRIMARY KEY `kundengruppen_kundengruppe` (`kundengruppen_kundengruppe`), DROP INDEX `kundengruppen_kundengruppe`;

CREATE TABLE `xplugin_jst_kundenregistrierung_mailtemplates` (
  `text_kundengruppe` int NOT NULL,
  `text_freischaltung_erfordert_html` text NOT NULL,
  `text_freischaltung_erfordert_text` text NOT NULL,
  `text_freischaltung_erfolgt_html` text NOT NULL,
  `text_freischaltung_erfolgt_text` text NOT NULL,
  
  UNIQUE INDEX `text_kundengruppe` (`text_kundengruppe`)
);

INSERT INTO xplugin_jst_kundenregistrierung_mailtemplates (text_kundengruppe, text_freischaltung_erfordert_html, text_freischaltung_erfordert_text, text_freischaltung_erfolgt_html, text_freischaltung_erfolgt_text) 
    (SELECT kKundengruppe, 
        '<div class="title">Freischaltung Ihres Kundenaccounts ben&ouml;tigt</div><br/>Sehr {$Kunde->cAnrede} {$Kunde->cNachname},<br/><br/>Sie haben sich im <strong>{$oPluginMail->cShopName}</strong> auf <strong><a href="{$oPluginMail->cShopURL}">{$oPluginMail->cShopURL}</a></strong> mit einer <br/>Kundengruppe registriert die einer Freischaltung bedarf.Sobald Ihr Kundenaccount freigeschaltet wurde, erhalten Sie eine Benachrichtung.<br/><br/>Mit freundlichen Gr&uuml;&szlig;en',
        'Sehr {$Kunde-&gt;cAnrede} {$Kunde-&gt;cNachname},\nSie haben sich im "{$oPluginMail-&gt;cShopName}" auf {$oPluginMail-&gt;cShopURL} mit einer Kundengruppe registriert die einer Freischaltung bedarf.\nSobald Ihr Kundenaccount freigeschaltet wurde, erhalten Sie eine Benachrichtung.\nMit freundlichen Gr&uuml;&szlig;en',
        '<div class="title">Freischaltung Ihres Kundenaccounts auf {$oPluginMail->cShopURL}</div><br/>Sehr {$Kunde->cAnrede} {$Kunde->cNachname},<br/><br/>Ihr Kundenaccount wurde erfolgreich freigeschaltet, <br/>Sie k&ouml;nnen ab-sofort in unserem Onlineshop auf <a href="{$oPluginMail->cShopURL}">{$oPluginMail->cShopURL}</a> K&auml;ufe t&auml;tigen.<br/>Die Kundengruppe die Ihnen zugeordnet wurde ist <strong>"{$oPluginMail->cKundengruppe}"</strong>, der Rabatt betr&auml;gt <strong>{$oPluginMail->fRabatt} %</strong>.<br/><br/>Mit freundlichen Gr&uuml;&szlig;en',
        'Freischaltung Ihres Kundenaccounts auf {$oPluginMail-&gt;cShopURL}\nSehr {$Kunde-&gt;cAnrede} {$Kunde-&gt;cNachname},\nIhr Kundenaccount wurde erfolgreich freigeschaltet,\nSie k&ouml;nnen ab-sofort in unserem Onlineshop auf {$oPluginMail-&gt;cShopURL} K&auml;ufe t&auml;tigen.\nMit freundlichen Gr&uuml;&szlig;en'
    FROM tkundengruppe);