<link rel="stylesheet" type="text/css" href="{$oPlugin->cAdminmenuPfadURL}/css/style_v4.css" media="screen"/>

{literal}
<script type="text/javascript">
    $(function () {
        $('#accordion').accordion({
            header: '> div > div.header',
            heightStyle: 'content',
            collapsible: true,
            active: false
        }).sortable({
            axis: 'y',
            handle: 'div.header',
            tolerance: 'pointer',
            stop: function (event, ui) {
                ui.item.children('div.header').triggerHandler('focusout');
                $(this).accordion('refresh');
            },
            update: function (event, ui) {
                $.post('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_kundengruppe.ajax.php?action=sort', $(this).sortable('serialize'));
            }
        });

        $('.group input[name=speichern]').click(function () {
            var elem = $(this).parents('.group');
            
            $.post('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_kundengruppe.ajax.php?action=save', $(this).parents('.content').find('select, input, textarea').serialize(), function (data) {
                var aktiv = parseInt(data.kundengruppen_aktiv) > 0;
                elem.find('.kundengruppen_aktiv > img')
                    .attr('alt', (aktiv ? 'Ja' : 'Nein'))
                    .attr('title', 'Kundengruppe: ' + (aktiv ? '' : 'in') + 'aktiv')
                    .attr('src', '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}img/' + (aktiv ? '' : 'in') + 'aktiv.png');
                var freischaltung = parseInt(data.kundengruppen_freischaltung) > 0;
                elem.find('.kundengruppen_freischaltung > img')
                    .attr('alt', (freischaltung ? 'Ja' : 'Nein'))
                    .attr('title', 'Freischaltung: ' + (freischaltung ? '' : 'in') + 'aktiv')
                    .attr('src', '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}img/' + (freischaltung ? '' : 'in') + 'aktiv.png');
                elem.find('input[name="kundengruppen_id"]').val(data.kundengruppen_id);
                if (elem.find('.fields_info').length > 0) {
                    elem.find('table.fields').show();
                    elem.find('.fields_info').remove();
                }
                alert('Gespeichert!');
            }, "json");
        });

        $(document).on('click', '.group .icon.loeschen', function () {
            var elem = $(this).parents('tr');
            if (confirm('Wirklich lschen?')) {
                $.post('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_feld.ajax.php?action=delete', {kId: elem.data('id')}, function (data) {
                    if (data == 1) {
                        elem.remove();
                    }
                });
            }
        });

        $(document).on('click', '.group .icon.hinzufuegen, .group .icon.bearbeiten', function () {
            var elem;
            if ($(this).hasClass('bearbeiten') && $(this).parents('tr').data('id')) {
                elem = $(this).parents('tr');
                $.get('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_feld.ajax.php?action=get', {kId: elem.data('id')}, function (data) {
                    $('#edit_field').find('#felder_id').val(data.felder_id);
                    $('#edit_field').find('#felder_kundengruppen_id').val(data.felder_kundengruppen_id);
                    $('#edit_field').find('#felder_name').val(data.felder_name);
                    $('#edit_field').find('#felder_selektor').val(data.felder_selektor);
                    $('#edit_field').find('#felder_eingeblendet').val(data.felder_eingeblendet);
                    $('#edit_field').find('#felder_standardwert').val(data.felder_standardwert);
                }, "json");
            } else {
                elem = $(this).parents('table').find('tbody');
                $('#edit_field').find('#felder_kundengruppen_id').val($(this).parents('.group').find('input[name=kundengruppen_id]').val());
            }

            $('#edit_field').modal('show');
            $('#edit_field button.save').unbind('click');
            $('#edit_field button.save').on('click', '', function () {
                $.post('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_feld.ajax.php?action=save', $('#edit_field').find('select, input, textarea').serialize(), function (data) {
                    if (typeof data.error === 'undefined') {
                        if (!elem.data('id')) {
                            var tmp = $('<tr/>').data('id', data.felder_id);
                            tmp.append('<td class="felder_name" />');
                            tmp.append('<td class="felder_selektor" />');
                            tmp.append('<td class="felder_eingeblendet" />');
                            tmp.append('<td class="felder_standardwert" />');
                            tmp.append('<td><img class="icon bearbeiten" src="{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}img/bearbeiten.png" title="Bearbeiten" alt="Bearbeiten" /> <img class="icon loeschen" src="{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}img/loeschen.png" title="L&ouml;schen" alt="L&ouml;schen" /></td>');
                            elem.append(tmp);
                            elem = tmp;
                        }
                        elem.find('.felder_name').text(data.felder_name);
                        elem.find('.felder_selektor').text(data.felder_selektor);
                        elem.find('.felder_eingeblendet').text(data.felder_eingeblendet > 0 ? 'Shop-Einstellung' : 'Ausgeblendet');
                        elem.find('.felder_standardwert').text(data.felder_standardwert);
                        alert('Gespeichert');
                    } else {
                        alert(data.error)
                    }
                }, "json");
                $('#edit_field').modal('hide');
            });

        });

        $('#edit_field').on('hidden.bs.modal', function (e) {
            $('#edit_field input, #edit_field textarea, #edit_field select').val('');
        });


        var availableTags = $('#felder_selektor_list').find('option').map(function () {
            return this.value;
        }).get();

        $('#felder_selektor').autocomplete({source: availableTags});

        $('.group input[name=reset]').click(function () {
            if (confirm('Kundengruppe wirklich zurcksetzen? Einstellungen und Felder werden gelscht!')) {
                $.post('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_kundengruppe.ajax.php?action=reset', {kId: $(this).parents('.group').find('input[name=kundengruppen_id]').val()}, function () {
                    location.reload();
                });
            }
        });

    });


</script>
{/literal}

<p style="margin: 10px 0;">
    Hier werden alle verfgbaren Kundengruppen aufgelistet. Aktive Kundengruppen werden im Registrierungsformular
    angezeigt und knnen vom Kunden ausgewhlt werden. Freischaltung gibt an, ob der Kunde vom Shopbetreiber
    freigeschaltet werden muss. Die Reihenfolge der Gruppen kann per Drag &amp; Drop verndert werden.
</p>

<div id="accordion">
    {foreach from=$oKundengruppe_arr item=oKundengruppe}
        <div class="group" id="nSort_{$oKundengruppe->kundengruppe}">
            <div class="header">
                {$oKundengruppe->name}
                <span class="kundengruppen_freischaltung">Freischaltung:  <img
                            src="{$oPlugin->cAdminmenuPfadURL}img/{if $oKundengruppe->freischaltung < 1}in{/if}aktiv.png"
                            title="Freischaltung: {if $oKundengruppe->freischaltung < 1}in{/if}aktiv"
                            alt="{if $oKundengruppe->freischaltung < 1}Nein{else}Ja{/if}"/></span>
                <span class="kundengruppen_aktiv">Aktiv: <img
                            src="{$oPlugin->cAdminmenuPfadURL}img/{if $oKundengruppe->aktiv < 1}in{/if}aktiv.png"
                            title="Kundengruppe: {if $oKundengruppe->aktiv < 1}in{/if}aktiv"
                            alt="{if $oKundengruppe->aktiv < 1}Nein{else}Ja{/if}"/></span>
            </div>
            <div class="content">
                <input type="hidden" name="kundengruppen_kundengruppe" value="{$oKundengruppe->kundengruppe}"/>
                <input type="hidden" name="kundengruppen_id" value="{$oKundengruppe->kundengruppe}"/> {*vorher id*}

                <div class="panel panel-default first">
                    <div class="panel-body">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <label for="kundengruppen_aktiv_{$oKundengruppe->kundengruppe}">Kundengruppe aktivieren/anzeigen</label>                            </span>
                            </span>
                            <span class="input-group-wrap">
                                <select class="form-control" id="kundengruppen_aktiv_{$oKundengruppe->kundengruppe}"
                                        name="kundengruppen_aktiv">
                                    <option {if $oKundengruppe->aktiv > 0}selected{/if} value="1">Ja</option>
                                    <option {if $oKundengruppe->aktiv < 1}selected{/if} value="0">Nein</option>
                                </select>
                            </span>
                        </div>

                        <div class="input-group">
                            <span class="input-group-addon">
                                <label for="kundengruppen_freischaltung_{$oKundengruppe->kundengruppe}">Anmeldung besttigen</label>
                            </span>
                            <span class="input-group-wrap">
                                <select class="form-control"
                                        id="kundengruppen_freischaltung_{$oKundengruppe->kundengruppe}"
                                        name="kundengruppen_freischaltung">
                                    <option {if $oKundengruppe->freischaltung > 0}selected{/if} value="1">Ja</option>
                                    <option {if $oKundengruppe->freischaltung < 1}selected{/if} value="0">Nein</option>
                                </select>
                            </span>
                        </div>

                        <div class="input-group">
                            <span class="input-group-addon">
                                <label for="kundengruppen_beschreibung_{$oKundengruppe->kundengruppe}">Beschreibung</label>
                            </span>
                            <span class="input-group-wrap">
                                <textarea class="form-control"
                                          id="kundengruppen_beschreibung_{$oKundengruppe->kundengruppe}"
                                          name="kundengruppen_beschreibung">{$oKundengruppe->beschreibung}</textarea>
                            </span>
                        </div>
                    </div>

                    <div class="panel-heading">Dateiupload</div>

                    <div class="panel-body">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <label for="kundengruppen_fileupload_aktiv_{$oKundengruppe->kundengruppe}">Upload aktivieren</label>
                            </span>
                            <span class="input-group-wrap">
                                <select class="form-control"
                                        id="kundengruppen_fileupload_aktiv_{$oKundengruppe->kundengruppe}"
                                        name="kundengruppen_fileuploadAktiv">
                                    <option {if $oKundengruppe->fileuploadAktiv == 1}selected{/if} value="1">Ja</option>
                                    <option {if $oKundengruppe->fileuploadAktiv == 0}selected{/if} value="0">Nein</option>
                                    <option {if $oKundengruppe->fileuploadAktiv == 2}selected{/if} value="2">Optional</option>
                                </select>
                            </span>
                        </div>
                        
                        <div class="input-group">
                            <span class="input-group-addon">
                                <label for="kundengruppen_fileupload_text_{$oKundengruppe->kundengruppe}">Upload Text DE</label>
                            </span>
                            <span class="input-group-wrap">
                                <input class="form-control" type="text" value="{$oKundengruppe->fileuploadTextDE|default:$default_upload_text}"
                                       id="kundengruppen_fileupload_text_DE_{$oKundengruppe->kundengruppe}"
                                       name="kundengruppen_fileuploadTextDE"/>
                            </span>
                        </div>
                        
                        <div class="input-group">
                            <span class="input-group-addon">
                                <label for="kundengruppen_fileupload_text_{$oKundengruppe->kundengruppe}">Upload Text EN</label>
                            </span>
                            <span class="input-group-wrap">
                                <input class="form-control" type="text" value="{$oKundengruppe->fileuploadTextEN|default:$default_upload_text}"
                                       id="kundengruppen_fileupload_text_EN_{$oKundengruppe->kundengruppe}"
                                       name="kundengruppen_fileuploadTextEN"/>
                            </span>
                        </div>

                        <div class="input-group">
                            <span class="input-group-addon">
                                <label for="kundengruppen_fileupload_anzahl_{$oKundengruppe->kundengruppe}">Maximale Dateianzahl</label>
                            </span>
                            <span class="input-group-wrap">
                                <input class="form-control" type="text" value="{$oKundengruppe->fileuploadAnzahl}"
                                       id="kundengruppen_fileupload_anzahl_{$oKundengruppe->kundengruppe}"
                                       name="kundengruppen_fileuploadAnzahl"/>
                            </span>
                        </div>

                        <div class="input-group">
                            <span class="input-group-addon">
                                <label for="kundengruppen_selektor">Selektor</label>
                            </span>
                            <span class="input-group-wrap">
                                <input class="form-control" type="text"
                                       value="{if $oKundengruppe->fileuploadSelektor|count_characters >= 2}{$oKundengruppe->fileuploadSelektor}{/if}"
                                       id="kundengruppen_fileupload_selektor_{$oKundengruppe->kundengruppe}"
                                       name="kundengruppen_fileuploadSelektor"/>
                            </span>
                        </div>
                        <div class="input-group">
                            <span class="input-group-addon">
                                <label for="kundengruppen_fileupload_methode_{$oKundengruppe->kundengruppe}">Methode</label>
                            </span>
                            <span class="input-group-wrap">
                                <select class="form-control" id="kundengruppen_fileupload_methode"
                                        name="kundengruppen_fileuploadMethode">
                                    <option {if $oKundengruppe->fileuploadMethode == "prepend"}selected{/if}
                                            value="prepend">Am Anfang</option>
                                    <option {if $oKundengruppe->fileuploadMethode == "append" || $oKundengruppe->fileuploadMethode|count_characters < 2}selected{/if}
                                            value="append">Am Ende</option>
                                    <option {if $oKundengruppe->fileuploadMethode == "before"}selected{/if}
                                            value="before">Davor</option>
                                    <option {if $oKundengruppe->fileuploadMethode == "after"}selected{/if}
                                            value="after">Danach</option>
                                    <option {if $oKundengruppe->fileuploadMethode == "replaceWith"}selected{/if}
                                            value="replaceWith">Komplett ersetzen</option>
                                    <option {if $oKundengruppe->fileuploadMethode == "html"}selected{/if} value="html">Inhalt ersetzen</option>
                                </select>
                            </span>
                        </div>
                    </div>
                    
                    <div class="panel-heading">E-Mail Vorlagen</div>
                    
                    <div class="input-group">
                        <span class="input-group-addon">
                            <label for="kundengruppen_emailtpl_html_afterregister_{$oKundengruppe->kundengruppe}">Nach der Registrierung (HTML)</label>
                        </span>
                        <span class="input-group-wrap">
                            <textarea class="form-control" type="text" id="kundengruppen_emailtpl_html_afterregister_{$oKundengruppe->kundengruppe}" name="kundengruppen_emailtpl_html_afterregister" style="resize: vertical;"/>{$oKundengruppe->text_freischaltung_erfordert_html|htmlspecialchars}</textarea>
                        </span>
                    </div>
                    <div class="input-group">
                        <span class="input-group-addon">
                            <label for="kundengruppen_emailtpl_text_afterregister_{$oKundengruppe->kundengruppe}">Nach der Registrierung (Text)</label>
                        </span>
                        <span class="input-group-wrap">
                            <textarea class="form-control" type="text" id="kundengruppen_emailtpl_text_afterregister_{$oKundengruppe->kundengruppe}" name="kundengruppen_emailtpl_text_afterregister" style="resize: vertical;"/>{$oKundengruppe->text_freischaltung_erfordert_text|htmlspecialchars}</textarea>
                        </span>
                    </div>
                    <div class="input-group">
                        <span class="input-group-addon">
                            <label for="kundengruppen_emailtpl_html_afterunlock_{$oKundengruppe->kundengruppe}">Nach der Freischaltung (HTML)</label>
                        </span>
                        <span class="input-group-wrap">
                            <textarea class="form-control" type="text" id="kundengruppen_emailtpl_html_afterunlock_{$oKundengruppe->kundengruppe}" name="kundengruppen_emailtpl_html_afterunlock" style="resize: vertical;"/>{$oKundengruppe->text_freischaltung_erfolgt_html|htmlspecialchars}</textarea>
                        </span>
                    </div>
                    <div class="input-group">
                        <span class="input-group-addon">
                            <label for="kundengruppen_emailtpl_text_afterunlock_{$oKundengruppe->kundengruppe}">Nach der Freischaltung (Text)</label>
                        </span>
                        <span class="input-group-wrap">
                            <textarea class="form-control" type="text" id="kundengruppen_emailtpl_text_afterunlock_{$oKundengruppe->kundengruppe}" name="kundengruppen_emailtpl_text_afterunlock" style="resize: vertical;"/>{$oKundengruppe->text_freischaltung_erfolgt_text|htmlspecialchars}</textarea>
                        </span>
                    </div>
                    <div class="input-group">
                        <span class="input-group-addon">
                            <label for="kundengruppen_emailtpl_html_afterblock_{$oKundengruppe->kundengruppe}">Bei der Blockierung (HTML)</label>
                        </span>
                        <span class="input-group-wrap">
                            <textarea class="form-control" type="text" id="kundengruppen_emailtpl_html_afterblock_{$oKundengruppe->kundengruppe}" name="kundengruppen_emailtpl_html_afterblock" style="resize: vertical;"/>{$oKundengruppe->text_freischaltung_blockiert_html|htmlspecialchars}</textarea>
                        </span>
                    </div>
                    <div class="input-group">
                        <span class="input-group-addon">
                            <label for="kundengruppen_emailtpl_text_afterblock_{$oKundengruppe->kundengruppe}">Bei der Blockierung (Text)</label>
                        </span>
                        <span class="input-group-wrap">
                            <textarea class="form-control" type="text" id="kundengruppen_emailtpl_text_afterblock_{$oKundengruppe->kundengruppe}" name="kundengruppen_emailtpl_text_afterblock" style="resize: vertical;"/>{$oKundengruppe->text_freischaltung_blockiert_text|htmlspecialchars}</textarea>
                        </span>
                    </div>

                    <div class="panel-footer">
                        <input name="speichern" type="button" value="Speichern" class="btn btn-primary">
                        <input name="reset" type="button" value="Kundengruppe zur&uuml;cksetzen" class="btn btn-danger">
                        <input type="text"
                               value="{URL_SHOP}/registrieren.php?Kundengruppe={$oKundengruppe->kundengruppe}">
                    </div>
                </div>


                <h3 class="panel-title">Felder</h3>
                {if $oKundengruppe->kundengruppe < 1}
                    <p class="fields_info">Nach dem erstmaligen Klick auf Speichern knnen Sie Felder anlegen und
                        bearbeiten.</p>
                {/if}
                <table class="fields table" {if $oKundengruppe->kundengruppe < 1}style="display: none;"{/if}>
                    <thead>
                    <tr>
                        <th>Name</th>
                        <th>Selektor</th>
                        <th>Eingeblendet</th>
                        <th>Standardwert</th>
                        <th>Aktionen</th>
                    </tr>
                    </thead>
                    <tbody>
                    {foreach from=$oKundengruppe->getFields() item=oFeld}
                        <tr data-id="{$oFeld->id}">
                            <td class="felder_name">{$oFeld->name}</td>
                            <td class="felder_selektor">{$oFeld->selektor}</td>
                            <td class="felder_eingeblendet">{if $oFeld->eingeblendet > 0}Shop-Einstellung{else}Ausgeblendet{/if}</td>
                            <td class="felder_standardwert">{$oFeld->standardwert}</td>
                            <td>
                                <img class="icon bearbeiten" src="{$oPlugin->cAdminmenuPfadURL}img/bearbeiten.png"
                                     title="Bearbeiten" alt="Bearbeiten"/>
                                <img class="icon loeschen" src="{$oPlugin->cAdminmenuPfadURL}img/loeschen.png"
                                     title="L&ouml;schen" alt="L&ouml;schen"/>
                            </td>
                        </tr>
                    {/foreach}
                    </tbody>
                    <tfoot>
                    <tr>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td><img class="icon hinzufuegen" src="{$oPlugin->cAdminmenuPfadURL}img/hinzufuegen.png"
                                 title="Hinzuf&uuml;gen" alt="Hinzuf&uuml;gen"/></td>
                    </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    {/foreach}
</div>


<div id="edit_field" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title">Feld bearbeiten</h4>
                <h5>Hier kannst du Felder, die im Shop angelegt wurden ausblenden oder mit Standardwerten befllen</h5>
            </div>
            <div class="modal-body panel panel-default">
                <div class="panel-body">
                    <input id="felder_id" name="felder_id" type="hidden"/>
                    <input id="felder_kundengruppen_id" name="felder_kundengruppen_id" type="hidden"/>

                    <div class="input-group">
                        <span class="input-group-addon">
                            <label for="felder_name">Name</label>
                        </span>
                        <span class="input-group-wrap">
                            <input class="form-control" id="felder_name" name="felder_name" type="text"/>
                        </span>
                    </div>

                    <div class="input-group">
                        <span class="input-group-addon">
                            <label for="felder_selektor">Selektor</label>
                        </span>
                        <span class="input-group-wrap">
                            <input class="form-control" id="felder_selektor" list="felder_selektor_list"
                                   name="felder_selektor" type="text" placeholder="{$jst_kundenregistrierung_register_form_prefix}">
                            <datalist id="felder_selektor_list">
                                <select style="display: none;">
                                    {foreach from=$oSelektor_arr item=oSelektor}
                                        <option value="{$oSelektor->selektoren_wert}">{$oSelektor->selektoren_name}</option>
                                    {/foreach}
                                </select>  
                            </datalist>
                            </input>
                        </span>
                    </div>

                    <div class="input-group">
                        <span class="input-group-addon">
                            <label for="felder_eingeblendet">Eingeblendet</label>
                        </span>
                        <span class="input-group-wrap">
                            <select class="form-control" id="felder_eingeblendet" name="felder_eingeblendet">
                                <option value="1">Shop-Einstellung</option>
                                <option value="0">Ausblenden</option>
                            </select>
                        </span>
                    </div>

                    <div class="input-group">
                        <span class="input-group-addon">
                            <label for="felder_standardwert">Standardwert</label>
                        </span>
                        <span class="input-group-wrap">
                            <input class="form-control" id="felder_standardwert" name="felder_standardwert"
                                   type="text"/>
                        </span>
                    </div>

                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Abbrechen</button>
                <button type="button" class="save btn btn-primary">Speichern</button>
            </div>
        </div>
    </div>
</div>
